% Compute a VSR descriptor for an image 
%
% L ... label image, each pixel has a class label
% Y ... local features
% 
% VSR ... descriptor vector
function VSR = encodeImageVSR(L, Y, params)

    % compute the list of entities based on the semantic segmentation
    [E, classIdx] = getEntities(L, params.relevantClasses, params);
    
    % combine all entities in a single descriptor vector
    VSR = encodeEntities(E, Y, params);
        
end